# Retrieve list of audience attributes

Retrieve a list of parent segment attributes. You can also specify the visibility level for sensitive attributes.

Endpoint: GET /audiences/{audienceId}/attributes
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)
    ID of Master Segment Config to return

## Response 200 fields (application/json):

  - `audienceId` (string, required)
    ID of Master Segment for this attribute

  - `id` (string)
    This can be null when the attribute is an enriched attribute

  - `name` (string, required)
    Column name user defined on Master Segment Configuration page of Data Workbench

  - `type` (string, required)
    Type of the column
    Enum: "string", "number", "timestamp", "date", "string_array", "number_array", "boolean"

  - `parentDatabaseName` (string, required)
    Database name of the attribute table

  - `parentTableName` (string, required)
    Table name of the attribute table

  - `parentColumn` (string, required)
    Column name of the attribute table which is imported into customer table

  - `parentKey` (string, required)
    Join key of the attribute table (This can be null when the attribute is an enriched attribute)

  - `foreignKey` (string, required)
    Foreign key of the master table (This can be null when the attribute is an enriched attribute)

  - `matrixColumnName` (string)

  - `matrixColumnDescription` (string)
    Description of the column in attribute table

  - `usedBySegmentInsight` (boolean)

  - `groupingName` (string)
    Group name of the attribute

  - `visibility` (string)
    Enum: "clear", "pii", "non_pii", "blocked"

  - `parentKey` (string)
    Join key of the attribute table

  - `foreignKey` (string)
    Foreign key of the master table

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

